services:
    d2_kings_service_definition_manager:
        class:          D2\KingsBundle\DependencyInjection\Services\ServiceDefinitionManager
        arguments:      [@service_container, @doctrine.orm.entity_manager]

    d2_kings_partner_file_manager:
        class:          D2\KingsBundle\DependencyInjection\Services\PartnerFileManager
        arguments:      [@service_container, @doctrine.orm.entity_manager]

    d2_kings_waybill_manager:
        class:          D2\KingsBundle\DependencyInjection\Services\WaybillManager
        arguments:      [@service_container, @doctrine.orm.entity_manager, @d2_kings_service_definition_manager, @d2_calc_manager]

    d2_kings_bundle.twig.kings_extension:
        class:          D2\KingsBundle\Twig\KingsTwigExtension
        arguments:      [@doctrine, @service_container, @d2_kings_partner_file_manager, @d2_kings_service_definition_manager]
        tags:
            - { name: twig.extension }

    # With Selected Extensions
    d2_kings_bundle.waybill_with_selected.extension:
        class:          D2\KingsBundle\DependencyInjection\Services\WaybillsWithSelectedExtension
        arguments:      [@doctrine, @service_container]
        tags:
            - { name: d2.with_selected, alias: kings_list }
            - { name: d2.with_selected, alias: kings_waybill }
